package de.hawlitzek.logparser.gui;

import java.awt.*;
import javax.swing.*;
/**
 * Dialog to set options and to display informations about the 
 * application.<br>
 * It is generated with IBM VisualAge for Java.
 * Please do not manually change this, but write me an email (java@hawlitzek-consulting.de).
 *
 * @author Florian Hawlitzek, Hawlitzek IT-Consulting GmbH
 */
public class InfoDialog extends JDialog {
	private static java.util.ResourceBundle resjndibrowsergui = java.util.ResourceBundle.getBundle("logparsergui");  //$NON-NLS-1$
	private ButtonGroup ladeModusGruppe = new ButtonGroup();
	private JPanel ivjAboutPanel = null;
	private JLabel ivjFirmaLabel = null;
	private JLabel ivjLogoLabel = null;
	private JLabel ivjMailLabel = null;
	private JLabel ivjTitleLabel = null;
	private JButton ivjOKButton1 = null;
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private JPanel ivjBasePanel = null;
	private JLabel ivjVersionLabel = null;

class IvjEventHandler implements java.awt.event.ActionListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == InfoDialog.this.getOKButton1()) 
				closeWindow1(e);
		};
	};
/**
 * InfoDialog constructor comment.
 * @param owner java.awt.Frame
 * @param modal boolean
 */
public InfoDialog(java.awt.Frame owner, String version) {
	super(owner, true);
	initialize();
	getVersionLabel().setText(version);
}
/**
 * InfoDialog constructor comment.
 * @param owner java.awt.Frame
 * @param modal boolean
 */
public InfoDialog(java.awt.Frame owner, boolean modal) {
	super(owner, modal);
	initialize();	
}
/**
 * closeWindow1:  (OKButton1.action.actionPerformed(java.awt.event.ActionEvent) --> InfoDialog.dispose()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void closeWindow1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.dispose();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * liefert die Infoseite
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getAboutPanel() {
	if (ivjAboutPanel == null) {
		try {
			ivjAboutPanel = new javax.swing.JPanel();
			ivjAboutPanel.setName("AboutPanel");
			ivjAboutPanel.setLayout(null);
			ivjAboutPanel.setBackground(java.awt.Color.white);
			getAboutPanel().add(getLogoLabel(), getLogoLabel().getName());
			getAboutPanel().add(getFirmaLabel(), getFirmaLabel().getName());
			getAboutPanel().add(getTitleLabel(), getTitleLabel().getName());
			getAboutPanel().add(getMailLabel(), getMailLabel().getName());
			getAboutPanel().add(getOKButton1(), getOKButton1().getName());
			getAboutPanel().add(getVersionLabel(), getVersionLabel().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjAboutPanel;
}
/**
 * liefert das Hintergrundpanel
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getBasePanel() {
	if (ivjBasePanel == null) {
		try {
			ivjBasePanel = new javax.swing.JPanel();
			ivjBasePanel.setName("BasePanel");
			ivjBasePanel.setLayout(new java.awt.BorderLayout());
			getBasePanel().add(getAboutPanel(), "Center");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjBasePanel;
}
/**
 * Return the FirmaLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getFirmaLabel() {
	if (ivjFirmaLabel == null) {
		try {
			ivjFirmaLabel = new javax.swing.JLabel();
			ivjFirmaLabel.setName("FirmaLabel");
			ivjFirmaLabel.setFont(new java.awt.Font("Arial", 1, 14));
			ivjFirmaLabel.setText("(c) 2002/03, Hawlitzek IT-Consulting GmbH");
			ivjFirmaLabel.setBounds(95, 184, 310, 14);
			ivjFirmaLabel.setForeground(java.awt.Color.black);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjFirmaLabel;
}
/**
 * Return the LogoLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getLogoLabel() {
	if (ivjLogoLabel == null) {
		try {
			ivjLogoLabel = new javax.swing.JLabel();
			ivjLogoLabel.setName("LogoLabel");
			ivjLogoLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/logo.gif")));
			ivjLogoLabel.setText("");
			ivjLogoLabel.setBounds(93, 23, 300, 76);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjLogoLabel;
}
/**
 * Return the MailLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getMailLabel() {
	if (ivjMailLabel == null) {
		try {
			ivjMailLabel = new javax.swing.JLabel();
			ivjMailLabel.setName("MailLabel");
			ivjMailLabel.setFont(new java.awt.Font("Arial", 1, 12));
			ivjMailLabel.setText(resjndibrowsergui.getString("InfoDialog_Mail"));
			ivjMailLabel.setBounds(101, 204, 291, 14);
			ivjMailLabel.setForeground(java.awt.Color.black);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjMailLabel;
}
/**
 * liefert den OK-Knopf auf der Infoseite
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getOKButton1() {
	if (ivjOKButton1 == null) {
		try {
			ivjOKButton1 = new javax.swing.JButton();
			ivjOKButton1.setName("OKButton1");
			ivjOKButton1.setText("OK");
			ivjOKButton1.setBounds(193, 238, 85, 25);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjOKButton1;
}
/**
 * Return the TitleLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getTitleLabel() {
	if (ivjTitleLabel == null) {
		try {
			ivjTitleLabel = new javax.swing.JLabel();
			ivjTitleLabel.setName("TitleLabel");
			ivjTitleLabel.setText("Http Log Parser");
			ivjTitleLabel.setForeground(java.awt.Color.black);
			ivjTitleLabel.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjTitleLabel.setFont(new java.awt.Font("Arial", 1, 24));
			ivjTitleLabel.setBounds(86, 109, 315, 26);
			ivjTitleLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjTitleLabel;
}
/**
 * Return the VersionLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getVersionLabel() {
	if (ivjVersionLabel == null) {
		try {
			ivjVersionLabel = new javax.swing.JLabel();
			ivjVersionLabel.setName("VersionLabel");
			ivjVersionLabel.setText("1.0");
			ivjVersionLabel.setForeground(java.awt.Color.black);
			ivjVersionLabel.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjVersionLabel.setFont(new java.awt.Font("Arial", 1, 24));
			ivjVersionLabel.setBounds(86, 136, 308, 22);
			ivjVersionLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjVersionLabel;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	System.err.println("--------- UNCAUGHT EXCEPTION ---------");//$NON-NLS-1$
	exception.printStackTrace();
}
/**
 * Initializes connections
 * @exception java.lang.Exception The exception description.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	getOKButton1().addActionListener(ivjEventHandler);
}
/**
 * Initialize the class.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
	try {
		// user code begin {1}
		// user code end
		setName("InfoDialog");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setTitle(resjndibrowsergui.getString("GUI_About_Title"));
		setSize(485, 325);
		setResizable(false);
		setContentPane(getBasePanel());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
		/* Calculate the screen size */
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();

		/* Center frame on the screen */
		Dimension frameSize = this.getSize();
		if (frameSize.height > screenSize.height)
				frameSize.height = screenSize.height;
		if (frameSize.width > screenSize.width)
				frameSize.width = screenSize.width;
		this.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
	// user code end
}
}
